Subject: Re: bug#63762: 29.0.91; tty emacs on macOS fail to load tree-sitter

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 May 2023 12:43:24 +0300

> From: Jimmy Yuen Ho Wong <[email-masked]>
> Date: Sun, 28 May 2023 10:27:16 +0100
> Cc: [email-masked]
> 
> gdb doesn't work with clang and I have a hard time using lldb, all I can say for sure is, for some
> reason, `treesit-extra-load-path' is nil when running TTY emacs on macOS, whereas it is set to '
> ("/opt/local/lib") on the NS port.

treesit-extra-load-path is nil in my session, and that is its normal
value.  How did you get it set to something non-nil in the NS build?
I see nothing in the sources, so maybe it's your customizations?